package model

type CreateSupplierOwnerUserRequest struct {
	Name       string `json:"name"`
	Phone      string `json:"phone"`
	Email      string `json:"email"`
	SupplierID string `json:"supplierId"`
	RoleID     string `json:"roleId"`
	Password   string `json:"password"`
}

type UpdateSupplierOwnerUserRequest struct {
	ID         string `json:"_id"`
	SupplierID string `json:"supplierId"`
	Name       string `json:"name"`
	Phone      string `json:"phone"`
	Email      string `json:"email"`
	RoleID     string `json:"roleId"`
}

type CreateSupplierStaffUserRequest struct {
	Name       string   `json:"name"`
	Phone      string   `json:"phone"`
	Email      string   `json:"email"`
	SupplierID string   `json:"supplierId"`
	RoleID     string   `json:"roleId"`
	Password   string   `json:"password"`
	Warehouses []string `json:"warehouses"`
}

type UpdateSupplierStaffUserRequest struct {
	ID         string   `json:"_id"`
	Name       string   `json:"name"`
	Phone      string   `json:"phone"`
	Email      string   `json:"email"`
	SupplierID string   `json:"supplierId"`
	Role       string   `json:"role"`
	Password   string   `json:"password"`
	Warehouses []string `json:"warehouses"`
	RoleId     string   `json:"roleId"`
}
